package jp.igapyon.jcfa.vo;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class JcfaUnit extends JcfaNode {
	protected String name;

	protected File targetFile;

	protected final List<JcfaClass> classList = new ArrayList<JcfaClass>();

	public List<JcfaClass> getClassList() {
		return classList;
	}

	public String getName() {
		return name;
	}

	public File getTargetFile() {
		return targetFile;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setTargetFile(File targetFile) {
		this.targetFile = targetFile;
	}

}
